<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Mitarbeiter\RaumUebersicht\RaumDetails\Detailsreiter\Termine;

class ReiterTermineController extends \Kufer\KuferTools\Basis\Raumbelegung\Raumdetails\Detailsreiter\Termine\ReiterTermineController
{
  protected function getUseCase(): \Kufer\KuferTools\Basis\UseCase\UseCase
  {
    return new ReiterTermineUseCase(
      $this->getRequestObj()
    );
  }

  protected function getPresenter($pUseCaseResponse)
  {
    return new ReiterTerminePresenter($pUseCaseResponse);
  }
}